/**************************************************************************
 * FILE NAME: $RCSfile: ppa_example.h,v $    COPYRIGHT (c) FREESCALE 2004 *
 * DESCRIPTION:                                     All Rights Reserved   *
 * This file contains prototypes and definitions for the sample MPC5500   *
 * program using the the eTPU PPA function                                *
 *========================================================================*
 * ORIGINAL AUTHOR: Geoff Emerson (r47354)                                *
 * $Log: ppa_example.h,v $
 * Revision 1.2  2004/12/14 10:41:47  r47354
 * Disable MISC
 *
 * Revision 1.1  2004/12/09 14:38:31  r47354
 * Updates as per QOM API rel_2_1
 *
 *........................................................................*
 * 0.1   G.Emerson    27/Apr/04    Initial version.                       *
 * 0.2                             Updated for new build structure.       *
 **************************************************************************/
#include "etpu_util.h"

/* define functions to channels */
#define QOM0  8
#define QOMA_array_size  4
#define QOMLO_array_size  6

#define PPA0 10
struct etpu_config_t my_etpu_config = {
	FS_ETPU_MISC_DISABLE,	/*MCR register*/

	FS_ETPU_MISC,			/*MISC value from eTPU compiler link file*/

	/*Configure eTPU engine A*/
	FS_ETPU_FILTER_CLOCK_DIV2 +
	FS_ETPU_CHAN_FILTER_2SAMPLE +
	FS_ETPU_ENTRY_TABLE,

	/*Configure eTPU engine A timebases*/
	FS_ETPU_TCR2CTL_DIV8 +
	( 0 << 16) +     /*TCR2 prescaler of 1 (0+1)*/
	FS_ETPU_TCR1CTL_DIV2 +
	0,               /*TCR1 prescaler of 1 (0+1)*/
	0,

	/*Configure eTPU engine B*/
	FS_ETPU_FILTER_CLOCK_DIV2 +
  FS_ETPU_CHAN_FILTER_2SAMPLE +
	FS_ETPU_ENTRY_TABLE,

	/*Configure eTPU engine B timebases*/
	FS_ETPU_TCR2CTL_DIV8 +
	( 0 << 16) +     /*TCR2 prescaler of 1 (0+1)*/
	FS_ETPU_TCR1CTL_DIV2 +
	0,               /*TCR1 prescaler of 1 (0+1)*/
	0
	};